Loading...
Searching...
No Matches
juce::universal_midi_packets::U32ToBytestreamHandler Struct Reference

`#include <juce_UMPU32InputHandler.h>`

Inheritance diagram for juce::universal_midi_packets::U32ToBytestreamHandler:

## Classes

class | Factory

## Public Member Functions

| U32ToBytestreamHandler (MidiInput &i, MidiInputCallback &c)
void | reset () override
void | pushMidiData (const uint32_t *begin, const uint32_t *end, double time) override

## Public Attributes

MidiInput & | input
MidiInputCallback & | callback
ToBytestreamDispatcher | dispatcher

## Detailed Description

Parses a continuous stream of U32 words and emits complete MidiMessages whenever a full message is received.

Definition at line 48 of file juce_UMPU32InputHandler.h.

## Constructor & Destructor Documentation

## U32ToBytestreamHandler()

juce::universal_midi_packets::U32ToBytestreamHandler::U32ToBytestreamHandler | ( | MidiInput & | i,
|  | MidiInputCallback & | c )

inline

Definition at line 50 of file juce_UMPU32InputHandler.h.

## Member Function Documentation

## pushMidiData()

void juce::universal_midi_packets::U32ToBytestreamHandler::pushMidiData | ( | const uint32_t * | begin,
|  | const uint32_t * | end,
|  | double | time )

inline override virtual

Implements juce::universal_midi_packets::U32InputHandler.

Definition at line 81 of file juce_UMPU32InputHandler.h.

## reset()

void juce::universal_midi_packets::U32ToBytestreamHandler::reset | ( |  | ) |

inline override virtual

Implements juce::universal_midi_packets::U32InputHandler.

Definition at line 79 of file juce_UMPU32InputHandler.h.

## Member Data Documentation

## callback

MidiInputCallback& juce::universal_midi_packets::U32ToBytestreamHandler::callback

Definition at line 90 of file juce_UMPU32InputHandler.h.

## dispatcher

ToBytestreamDispatcher juce::universal_midi_packets::U32ToBytestreamHandler::dispatcher

Definition at line 91 of file juce_UMPU32InputHandler.h.

## input

MidiInput& juce::universal_midi_packets::U32ToBytestreamHandler::input

Definition at line 89 of file juce_UMPU32InputHandler.h.

The documentation for this struct was generated from the following file:

- juce_UMPU32InputHandler.h